@ECHO OFF
SETLOCAL
 
SET errorlevel=0
 
IF NOT EXIST Event04.xdelta set errorlevel=1
IF NOT EXIST Ex01.xdelta set errorlevel=1
IF NOT EXIST Movie04.xdelta set errorlevel=1
IF NOT EXIST MovieZ4.xdelta set errorlevel=1
IF NOT EXIST Script.GPK set errorlevel=1
IF NOT EXIST System.xdelta set errorlevel=1
IF NOT EXIST Voice04.xdelta set errorlevel=1
IF NOT EXIST RouteProcSD.xdelta set errorlevel=1
IF NOT EXIST SysMenuSD.xdelta set errorlevel=1
IF NOT EXIST xdelta.exe set errorlevel=1
IF NOT EXIST ..\RouteProcSD.dll set errorlevel=1
IF NOT EXIST ..\SysMenuSD.dll set errorlevel=1
IF NOT EXIST ..\Packs\Event04.gpk set errorlevel=1
IF NOT EXIST ..\Packs\Ex01.gpk set errorlevel=1
IF NOT EXIST ..\Packs\Movie04.gpk set errorlevel=1
IF NOT EXIST ..\Packs\EventZ4.gpk set errorlevel=1
IF NOT EXIST ..\Packs\Script.gpk set errorlevel=1
IF NOT EXIST ..\Packs\System.gpk set errorlevel=1
 
IF %errorlevel%==0 ECHO All files accounted for
IF %errorlevel%==1 GOTO filemiss
 
:prep
pushd ..
SET shinydir=%CD%
popd
SET patchdir="%shinydir%\Patched"
 
MOVE ..\RouteProcSD.dll ..\Packs\RouteProcSD.gpk >nul
MOVE ..\SysMenuSd.dll ..\Packs\SysMenuSD.gpk >nul
MD %patchdir%
 
:patch
ECHO Patching...
FOR %%g in (*.xdelta) do (
    xdelta.exe -d -s "%shinydir%\Packs\%%~ng.gpk" %%g %patchdir%\%%~ng.gpk
)
 
:replacefiles
COPY /Y Script.GPK ..\Packs\Script.GPK >nul
MOVE /Y %patchdir%\*.GPK ..\Packs\ >nul
 
:cleanup
MOVE ..\Packs\RouteProcSD.gpk ..\RouteProcSD.dll >nul
MOVE ..\Packs\SysMenuSD.gpk ..\SysMenuSD.dll >nul
RD /S /Q %patchdir%
 
:done
ECHO Files patched! Enjoy your game.
PAUSE
EXIT
 
:filemiss
ECHO One or more required files is missing. Please place the patch files in ^<SHINYDAYS folder^>\patch
PAUSE
EXIT